/*
 * Copyright (c) 2001, 2008, 2010 Todd C. Miller <Todd.Miller@sudo.ws>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef _MKTEMP_EXTERN_H
#define _MKTEMP_EXTERN_H

char *priv_mkdtemps(char *, int);
int priv_mkstemps(char *, int);
#ifndef HAVE_ARC4RANDOM
# define arc4random() repl_arc4random()
uint32_t repl_arc4random(void);
#endif
#ifndef HAVE_ARC4RANDOM_BUF
# define arc4random_buf(_a, _b) repl_arc4random_buf((_a), (_b))
void repl_arc4random_buf(void *, size_t);
#endif
#ifndef HAVE_GETENTROPY
# define getentropy(_a, _b) repl_getentropy((_a), (_b))
int repl_getentropy(void *, size_t);
#endif

#endif /* _MKTEMP_EXTERN_H */
